using Amazon.Device.InputMapping;
//
class MyInputMappingProvider : InputMappingProvider
{
    public InputMap OnProvideInputMap()
    {

        /** Input actions **/

        // basic actions
        var jumpAction = InputAction.Create("Jump", 2,
                            InputControls.Create(
                                new[]
                                {
                                    AndroidKeyCode.KEYCODE_SPACE
                                },
                                null
                            )
                        );

        var moveLeftAction = InputAction.Create("Move Left", 3,
                            InputControls.Create(
                                new[]
                                {
                                    AndroidKeyCode.KEYCODE_DPAD_LEFT
                                },
                                null
                            )
                        );

        var moveRightAction = InputAction.Create("Move Right", 4,
                            InputControls.Create(
                                new[]
                                {
                                    AndroidKeyCode.KEYCODE_DPAD_RIGHT
                                },
                                null
                            )
                        );

        var lookAction = InputAction.Create("Free look", 4,
                            InputControls.Create(
                                null,
                                new[]
                                {
                                   MouseAction.MouseMovement
                                }
                            )
                        );


        // a sample firing action
        var helpAction = InputAction.Create("Help", 5,
            InputControls.Create(
                new[]
                {
                    AndroidKeyCode.KEYCODE_ENTER
                },
                null
            )
        );


        /** Input groups **/
        var movementGroup = InputGroup.Create("Basic Movement",
            new[]
            {
                moveLeftAction, moveRightAction, jumpAction, lookAction
            }
        );

        var firingGroup = InputGroup.Create("Game Controls",
            new[]
            {
                helpAction
            }
        );

        return InputMap.Create(
            new[]
            {
                movementGroup, firingGroup
            },
            MouseSettings.Create(true, false)
        );
    }
}