using System.Collections;
using System.Collections.Generic;
using UnityEngine;
using InputSDK = Amazon.Device.InputMapping.Input;
using TriggerHandler = Amazon.Device.InputMapping.TriggerHandler;
using UnityEngine.SceneManagement;

public class Player : MonoBehaviour
{
    Rigidbody player;
    bool isJumpPressed = false;
    float horizontalMove;
    // Start is called before the first frame update
    void Start()
    {
        player = GetComponent<Rigidbody>();
        Debug.Log("Player initialized!!");

        InitializeInput();
    }

    // Update is called once per frame
    void Update()
    {
        if (Input.GetKeyDown(KeyCode.Space)) {
            isJumpPressed = true;
        }

        if(Input.GetKeyDown(KeyCode.Return)) {
            Debug.Log("Showing help...");
            TriggerHandler.ShowHelp("Input SDK Test");
        }

        horizontalMove = Input.GetAxis("Horizontal");
        if (horizontalMove != 0)
            Debug.Log("Axis: " + horizontalMove);
    }

    void FixedUpdate() {
        if (isJumpPressed) {
            Debug.Log("Going up....");
            player.AddForce(Vector3.up * 5, ForceMode.VelocityChange);
            isJumpPressed = false;
        }

        player.velocity = new Vector3(((player.velocity.x) * 0.5f) + horizontalMove, player.velocity.y, player.velocity.z);

        //Debug.Log("Player Y axis" + player.transform.position.y);

        if (player.transform.position.y < -10) {
            Debug.Log("Game over!!! Restarting the game.");
            SceneManager.LoadScene(SceneManager.GetActiveScene().name);
        }
    }

    void InitializeInput() {
        var imc = Amazon.Device.InputMapping.Input.GetInputMappingClient();
        imc.SetInputMappingProvider(new MyInputMappingProvider());
    }
}
